Advanced Server Access
/- Create a Server Sync Test Request
List all AD Connections
Create an AD Connection
Retrieve an AD Connection
Update an AD Connection
Delete an AD Connection
List all AD Server Sync Jobs
Create a Server Sync Job
Retrieve a Server Sync Job
Update a Server Sync Job
Remove a Server Sync Job
Deactivate a Server Sync Job
Update a Server Sync Job Schedule
List all AD Server Sync Job Results
Retrieve a Server Sync Job Result
List all AD User Sync Jobs
Create a User Sync Job
Retrieve a User Sync Job
Update a User Sync Job
Remove a User Sync Job
Update a User Sync Job Schedule
Update a User Sync Job State
Create a User Sync Test Request
List all AD User Sync Job Results
Retrieve a User Sync Job Result
Create a Server Sync Test...
Creates a test request for the specified server sync job for an Active Directory connection
Security
bearerAuth
- Production serverhttps://app.scaleft.com/v1/teams/{team_name}/integrations/ad_connections/{ad_connection_id}/task_settings/{ad_task_settings_id}/test_request
curl -i -X POST \
'https://app.scaleft.com/v1/teams/{team_name}/integrations/ad_connections/{ad_connection_id}/task_settings/{ad_task_settings_id}/test_request' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Created
The UUID of the associated server sync job
Example:"229a1621-a1g2-6366-q84d-da4vf2e76t2b"
A timestamp that indicates when the job run was created
Example:"2022-08-25T00:00:00Z"
The UUID of the results from a specific server sync job run
Example:"p05ty0e4-a7tv-erp0-r6ynh-robt937s84hf"
The state of rule_assignments for the associated server sync job. These are used to assign discovered servers to Projects. Possible values: done, error, timeout.
Example:"done"
The state of the specific server sync job. Possible values: running, done, error
Example:"done"
Response
{ "ad_task_settings_id": "229a1621-a1g2-6366-q84d-da4vf2e76t2b", "ad_task_settings_name": "Server Sync Job - 1", "ad_test_request_id": "string", "created_at": "2022-08-25T00:00:00Z", "id": "p05ty0e4-a7tv-erp0-r6ynh-robt937s84hf", "rules_summary_status": "done", "status": { "summary": null, "detailed_summary": null }, "task_state": "done", "updated_at": "2022-08-25T00:10:00Z" }